Edit an Active Follow-up Message
POST /api/v1/recruiter_edit_inmail_followup
Edits an existing scheduled follow-up message for a Recruiter Corporate account.
Limited to Recruiter Corporate
Follow-up message scheduling is limited to Recruiter Corporate accounts only.
See also:
- Send Message to Profile (under the Recruiter tab) for how to originally schedule a follow-up message.
- Delete a Scheduled Follow-up Message for canceling a scheduled follow-up message.
Headers
| Name | Type | Required |
|---|---|---|
x-api-key | string | Yes |
x-api-secret | string | Yes |
Request Body
Schema
accountIdstringrequiredThe unique identifier of the WeLink account.
contract_idstringrequiredThe contract identifier for Recruiter accounts.
thread_idstringrequiredThe unique identifier of the message thread.
scheduled_message_idstringrequiredUnique identifier of the scheduled follow-up message.
messagestringThe content of the message to be sent.
subjectstringThe subject line of the message.
scheduleobjectScheduling details for the follow-up message.
scheduled_atnumberrequiredTimestamp when the follow-up message is scheduled to be sent. Subject to a strict LinkedIn limit, this must be set between 3 and 28 days after the initial message.
timezonestringrequiredTimezone string for scheduling follow-up messages (e.g. 'America/New_York').
Sample Request
{
"accountId": "string",
"contract_id": "string",
"profile_id": "string",
"thread_id": "string",
"scheduled_message_id": "string",
"message": "string",
"subject": "string",
"schedule": {
"scheduled_at": 0,
"timezone": "string"
}
}
Responses
Schema
statusstringrequiredStatus indicating the request completed successfully (e.g. "SUCCESS").
resultobjectrequiredThe response payload.
scheduled_message_idstringrequiredUnique identifier of the scheduled follow-up message.
is_editedbooleanrequiredIndicates whether the follow-up message was successfully edited.
Sample Response
{
"status": "string",
"result": {
"scheduled_message_id": "string",
"is_edited": "boolean"
}
}